epiphany 3.4.3
authorYaakov Selkowitz <yselkowitz@users.sourceforge.net>
Tue, 28 Aug 2012 06:17:39 +0000 (01:17 -0500)
committerYaakov Selkowitz <yselkowitz@users.sourceforge.net>
Tue, 28 Aug 2012 06:17:39 +0000 (01:17 -0500)
2.30-implib.patch
README [deleted file]
epiphany-3.4.3-1.cygport [moved from epiphany-3.4.2-1.cygport with 59% similarity]
epiphany-devel.hint [deleted file]
epiphany.hint [deleted file]

index 22e66f0644748f750db71d0c22395949257cf30b..0b3e16abf91c9c746373aaf5ffc49371ba61a8eb 100644 (file)
@@ -36,7 +36,7 @@
  epiphany_LDFLAGS = -dlopen self
  
 +if PLATFORM_WIN32
-+epiphany_LDFLAGS += -Wl,--out-implib,libepiphany-$(EPIPHANY_API_VERSION).a
++epiphany_LDFLAGS += -Wl,--out-implib,libepiphany-$(EPIPHANY_API_VERSION).dll.a
 +endif
 +
  epiphany_LDADD = \
@@ -50,5 +50,5 @@
 +if PLATFORM_WIN32
 +install-data-local:
 +      $(mkinstalldirs) $(DESTDIR)$(libdir)
-+      $(INSTALL_DATA) libepiphany-$(EPIPHANY_API_VERSION).a $(DESTDIR)$(libdir)
++      $(INSTALL_DATA) libepiphany-$(EPIPHANY_API_VERSION).dll.a $(DESTDIR)$(libdir)
 +endif
diff --git a/README b/README
deleted file mode 100644 (file)
index cc06058..0000000
--- a/README
+++ /dev/null
@@ -1,104 +0,0 @@
-epiphany
-------------------------------------------
-Epiphany is the web browser for the GNOME desktop. Its goal is to be 
-simple and easy to use. Epiphany ties together many GNOME components in 
-order to let you focus on the Web content, instead of the browser 
-application.
-
-Runtime requirements:
-  cygwin-1.7.7-1
-  libcairo2-1.8.10-2
-  libdbus-glib_1_2-0.86-1
-  libdbus1_3-1.2.24-1
-  libgconf2_4-2.28.1-1
-  libgdk_pixbuf2.0_0-2.20.1-1
-  libgirepository1.0_0-0.6.14-1
-  libglib2.0_0-2.24.1-1
-  libgnome-keyring0-2.30.1-1
-  libgtk2.0_0-2.20.1-1
-  libICE6-1.0.6-1
-  libintl8-0.17-11
-  libnotify1-0.5.0-1
-  libnspr4-4.8.4-1
-  libnss3-3.12.6-1
-  libpango1.0_0-1.28.1-2
-  libseed0-2.30.0-1
-  libSM6-1.1.1-2
-  libsoup-gnome2.4_1-2.30.2-1
-  libsoup2.4_1-2.30.2-1
-  libwebkit1.0_2-1.2.4-1
-  libX11_6-1.3.5-1
-  libxml2-2.7.7-1
-  libxslt-1.1.26-2
-
-Build requirements:
-(besides corresponding -devel packages)
-  autoconf2.5-2.65-1
-  automake1.11-1.11.1-1
-  binutils-2.20.51-2
-  cygport-0.10.0-1
-  gawk-3.1.7-1
-  gcc4-core-4.5.0-1
-  gettext-devel-0.17-11
-  gnome-common-2.28.0-2
-  gnome-doc-utils-0.18.1-1
-  gobject-introspection-0.6.14-1
-  gtk-doc-1.15-2
-  intltool-0.41.1-1
-  libtool-2.2.7a-15
-  make-3.81-2
-  pkg-config-0.23b-10
-  rarian-0.8.1-12
-  sed-4.2.1-1
-
-Canonical website:
-  http://www.gnome.org/
-
-Canonical download:
-  ftp://ftp.gnome.org/pub/gnome/sources/epiphany/
-
--------------------------------------------
-
-Build instructions:
-  unpack epiphany-2.30.6-X-src.tar.bz2
-    if you use setup to install this src package, it will be
-        unpacked under /usr/src automatically
-  cd /usr/src
-  cygport ./epiphany-2.30.6-X.cygport all
-
-This will create:
-  /usr/src/epiphany-2.30.6-X-src.tar.bz2
-  /usr/src/epiphany-2.30.6-X.tar.bz2
-  /usr/src/epiphany-devel-2.30.6-X.tar.bz2
-
--------------------------------------------
-
-Port Notes:
-
------ version 2.30.6-1 -----
-Version bump.
-
------ version 2.30.2-1 -----
-Version bump for GNOME 2.30.
-
------ version 2.28.2-1 -----
-Version bump.
-
------ version 2.28.1-1 -----
-Version bump for GNOME 2.28.
-
------ version 2.27.3-2 -----
-Added support for Seed Javascript extensions.
-
------ version 2.27.3-1 -----
-Version bump.
-
------ version 2.27.2-1 -----
-Version bump.
-
------ version 2.27.1-1 -----
-Initial release of GNOME 2.26 for Cygwin 1.7.
-
-
-Cygwin port maintained by:
-http://sourceware.org/cygwinports/
similarity index 59%
rename from epiphany-3.4.2-1.cygport
rename to epiphany-3.4.3-1.cygport
index 9f4b39825334246b94fe9a655a666a90d5ae640a..76e33f567e009ca81c01764efb157ae5bcafd6a9 100644 (file)
@@ -1,6 +1,10 @@
 inherit gnome2
 
-DESCRIPTION="GNOME web browser"
+CATEGORY="Gnome Web"
+SUMMARY="GNOME web browser"
+DESCRIPTION="Epiphany is the web browser for the GNOME desktop. Its goal is
+to be simple and easy to use. Epiphany ties together many GNOME components in
+order to let you focus on the Web content, instead of the browser application."
 
 PATCH_URI="
        2.30-implib.patch
@@ -8,8 +12,10 @@ PATCH_URI="
 "
 
 PKG_NAMES="${PN} ${PN}-devel"
+epiphany_REQUIRES="ca-certificates"
 epiphany_CONTENTS="--exclude=aclocal --exclude=gir-1.0 --exclude=gtk-doc
                    etc/ usr/bin/ usr/share/"
+epiphany_devel_SUMMARY="${SUMMARY} (plugin development)"
 epiphany_devel_CONTENTS="usr/include/ usr/lib/lib* usr/lib/pkgconfig usr/share/aclocal/
                          usr/share/gtk-doc/"
 
diff --git a/epiphany-devel.hint b/epiphany-devel.hint
deleted file mode 100644 (file)
index 968940d..0000000
+++ /dev/null
@@ -1,8 +0,0 @@
-category: Gnome Web
-requires: epiphany libglib2.0-devel libgtk3-devel libwebkitgtk3.0-devel libxml2-devel
-external-source: epiphany
-sdesc: "GNOME web browser (plugin development files)"
-ldesc: "Epiphany is the web browser for the GNOME desktop. Its goal is 
-to be simple and easy to use. Epiphany ties together many GNOME 
-components in order to let you focus on the Web content, instead of the 
-browser application."
diff --git a/epiphany.hint b/epiphany.hint
deleted file mode 100644 (file)
index 0f33adc..0000000
+++ /dev/null
@@ -1,7 +0,0 @@
-category: Gnome Web
-requires: ca-certificates libavahi-client3 libavahi-common3 libavahi-gobject0 libcairo2 libgdk_pixbuf2.0_0 libglib2.0_0 libgnome-keyring0 libgtk3_0 libICE6 libintl8 libnotify4 libnspr4 libnss3 libpango1.0_0 libSM6 libsoup2.4_1 libsoup-gnome2.4_1 libsqlite3_0 libwebkitgtk3.0_0 libX11_6 libxml2 libxslt
-sdesc: "GNOME web browser"
-ldesc: "Epiphany is the web browser for the GNOME desktop. Its goal is 
-to be simple and easy to use. Epiphany ties together many GNOME 
-components in order to let you focus on the Web content, instead of the 
-browser application."
This page took 0.026177 seconds and 5 git commands to generate.